%define anolis_release 1

Summary:         Library for reading, mastering and writing optical discs
Name:            libburn
Version:         1.5.4
Release:         %{anolis_release}%{?dist}
License:         GPLv2+
URL:             https://libburnia-project.org/
Source0:         https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
Patch0:          libburn-1.5.4-rpath.patch
BuildRequires:   gcc, make, intltool, gettext

%description
Libburn is a library by which preformatted data get onto optical media:
CD, DVD and BD (Blu-Ray). It also offers a facility for reading data
blocks from its drives without using the normal block device I/O, which
has advantages and disadvantages. It seems appropriate, nevertheless,
to do writing and reading via same channel. On several Linux systems,
the block device driver needs reloading of the drive tray in order to
make available freshly written data. The libburn read function does not
need such a reload. The code of libburn is independent of cdrecord.

%package         devel
Summary:         Development files for %{name}
Requires:        %{name} = %{version}-%{release}

%description     devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:         Documentation files for %{name}
BuildArch:       noarch
BuildRequires:   doxygen, graphviz

%description doc
Libburn is a library by which preformatted data get onto optical media:
CD, DVD and BD (Blu-Ray). This package contains the API documentation
for developing applications that use %{name}.

%package -n      cdrskin
Summary:         Limited cdrecord compatibility wrapper to ease migration to %{name}
Requires:        %{name} = %{version}-%{release}
Requires(post):  %{_sbindir}/alternatives, coreutils
Requires(preun): %{_sbindir}/alternatives

%description -n cdrskin
A limited cdrecord compatibility wrapper which allows to use some %{name}
features from the command line.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%make_build
doxygen doc/doxygen.conf

%install
%make_install

# Clean up for later usage in documentation
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}

# Prepare alternatives handling for cdrecord -> cdrskin
touch $RPM_BUILD_ROOT{%{_bindir}/cdrecord,%{_mandir}/man1/cdrecord.1.zst}

%generate_compatibility_deps

%post -n cdrskin
%{_sbindir}/alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/cdrskin%{?variant} 50 \
  --slave %{_mandir}/man1/cdrecord.1.zst cdrecord-cdrecordman %{_mandir}/man1/cdrskin%{?variant}.1.zst

%preun -n cdrskin
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove cdrecord %{_bindir}/cdrskin
fi

%files
%license COPYING COPYRIGHT
%{_libdir}/%{name}*.so.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files doc
%doc doc/html/
%doc AUTHORS README

%files -n cdrskin
%ghost %{_bindir}/cdrecord
%{_bindir}/cdrskin
%ghost %{_mandir}/man1/cdrecord.1*
%{_mandir}/man1/cdrskin.1*
%{abidir}/*-option.list

%changelog
* Wed Mar 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.4-1
- init from upstream
